Reservation line mappings
/reservations/line-mappings
Reservation Line Mappings List
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
search?string
appId?string
status?string
Value in
"mapped" | "unmapped" | "excluded"accountId?string
Filter by account id(s)
limit?number
Default
100Range
1 <= value <= 250page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/reservations/line-mappings"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"type": "string",
"description": "string",
"source": "manual",
"channelMappings": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"status": "mapped",
"revenueRecognition": "checkIn",
"bookingChannel": "string"
}
]
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}